Bug 979083 - yumdb/history data is not available after upgrade from F18 => F19 (possible chroot problem?)
yumdb/history data is not available after upgrade from F18 => F19 (possible c...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fedup (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
: 1043960 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 10:51 EDT by James Antill
Modified: 2015-02-17 10:43 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:43:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Antill 2013-06-27 10:51:30 EDT
Description of problem:

 After upgrading a machine using fedup from F18 to F19 "yum history info" did not show the upgrade, and "yumdb info" was not available for any of the packages upgraded (so no "from_repo" data etc).
Comment 1 Will Woods 2013-06-27 14:09:02 EDT
That's because the upgrade isn't a yum transaction. It's roughly:

  rpm --root /sysroot -Uvh $(cat /sysroot/system-upgrade/package.list)

run from inside a F19 initrd, with your system mounted at /sysroot.

The initrd doesn't have yum in it, nor do I want to put yum in there.

However: all the relevant yum metadata is available on the target system, so if there's a way to generate the desired metadata outside of the RPM transaction, that'd be a great thing to put in the fedup 'upgrade-post' script hook.
Comment 2 James Antill 2013-07-01 15:47:53 EDT
>  rpm --root /sysroot -Uvh $(cat /sysroot/system-upgrade/package.list)
[...]
> The initrd doesn't have yum in it, nor do I want to put yum in there.

 Wow, that's impressive in it's purity of yum abuse. It sure is good we have such a cohesive packaging tools strategy.

> so if there's a way to generate the desired metadata outside of the RPM transaction

 You can run "yumdb sync", but that's meant to be run as a fixup because something went wrong ... but given fedup is designed to be wrong. It's not obvious if it's better to try running that a lot, and see what problems it causes, or just give up.
Comment 3 Valentina Mukhamedzhanova 2014-02-03 09:52:29 EST
*** Bug 1043960 has been marked as a duplicate of this bug. ***
Comment 4 Fedora End Of Life 2015-01-09 13:33:41 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 10:43:20 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.